# $Revision: 1.46 $, $Date: 2007-11-28 09:24:10 $
#
#Note: smb4k needs suid root on smbmnt and smbumount
#
Summary:	SMB share browser
Summary(pl.UTF-8):	Przeglądarka zasobów SMB
Name:		smb4k
Version:	0.8.7
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://download.berlios.de/smb4k/%{name}-%{version}.tar.bz2
# Source0-md5:	4ea8a3ffda9f67170cbc588a03d8fe97
URL:		http://smb4k.berlios.de/
Patch0:		kde-common-PLD.patch
Patch1:		%{name}-Makefile.patch
Patch2:		kde-ac260-lt.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdebase-devel >= 9:3.2
BuildRequires:	qt-devel >= 6:3.2
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	cups-backend-smb
Requires:	samba-client
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An SMB share browser for KDE.

%description -l pl.UTF-8
Przeglądarka zasobów SMB dla KDE.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.* admin
%{__make} -f admin/Makefile.common cvs
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

#fixing desktop file
%{__sed} -e "s@Categories=Qt;KDE;Utility;@Categories=Qt;KDE;Network;@g" -i $RPM_BUILD_ROOT%{_desktopdir}/kde/%{name}.desktop

%find_lang %{name} --with-kde

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/smb4k
%attr(755,root,root) %{_bindir}/smb4k_kill
%attr(755,root,root) %{_bindir}/smb4k_mount
%attr(755,root,root) %{_bindir}/smb4k_umount
%attr(755,root,root) %{_bindir}/smb4k_cat
%attr(755,root,root) %{_bindir}/smb4k_mv 
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_libdir}/kde3/*.so
# *.la are required
%{_libdir}/kde3/*.la
%{_datadir}/apps/smb4k
%{_datadir}/apps/konqsidebartng/add/smb4k_add.desktop
%{_iconsdir}/crystalsvg/*/apps/*.png
%{_desktopdir}/kde/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smb4k.spec,v $
Revision 1.46  2007-11-28 09:24:10  rotom
- up to 0.8.7

Revision 1.45  2007/10/15 16:46:36  rotom
- up to 0.8.6

Revision 1.44  2007/09/23 10:55:51  rotom
- up to 0.8.5

Revision 1.43  2007/07/16 00:24:38  shadzik
- add log message

Revision 1.42  2007/07/16 00:18:50  shadzik
- rel 2

Revision 1.41  2007/07/14 19:41:51  adamg
- updated to 0.8.4

Revision 1.40  2007/05/02 17:21:20  rotom
- up to 0.8.3

Revision 1.39  2007/05/01 08:15:44  rotom
- up to 0.8.2

Revision 1.38  2007/04/09 01:18:22  shadzik
- update BRs
- epoch qt-devel

Revision 1.37  2007/04/08 13:23:04  rotom
- 0.8.1

Revision 1.36  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.34  2007/01/21 14:17:11  arekm
- rel 2

Revision 1.33  2006/12/22 00:48:26  shadzik
- fix x86_64 build
- STBR to Th

Revision 1.32  2006/12/22 00:40:49  shadzik
- regenerate configure file etc.

Revision 1.31  2006/12/22 00:34:31  shadzik
- 0.8.0

Revision 1.30  2006/11/26 12:29:55  twittner
- rel. 1

Revision 1.29  2006/11/26 12:12:12  twittner
- up to 0.7.5 - fixed a serious bug in Smb4KFileIO that
  could cause a corrupted /etc/sudoers file if debug or
  error output was received via stderr while reading the
  file for subsequentprocessing (from ChangeLog)
- rel. 0.1 (builds and tested on Ac, not Th for now)

Revision 1.28  2006/10/19 10:39:24  glen
- add kde-common-PLD.patch

Revision 1.27  2006/10/18 19:36:27  matkor
- Version 0.7.3-1. STBR for Ac.

Revision 1.26  2006/09/21 04:07:24  piti
- up to 0.7.2. Added patch kde-ac260-lt.patch that fixes problems
  with autoconf 2.60.

Revision 1.25  2006/04/23 17:26:34  rotom
- up to 0.7.0

Revision 1.24  2006/04/17 08:44:14  ankry
- merged from AC-branch

Revision 1.23  2006/03/24 21:38:18  rotom
- up to 0.6.9
- rm unnided smb4k-startup.patch

Revision 1.22  2006/02/25 09:20:43  rotom
-  added patch fixing a startup issue with old Samba

Revision 1.21  2006/02/24 07:33:40  rotom
- up to 0.6.8

Revision 1.20  2006/02/05 15:26:19  adamg
- updated to 0.6.7
- dropped BR: kdelibs-devel (already R: by kdebase-devel)
- proper epoch and version in BR: kdebase-devel

Revision 1.19  2006/02/05 13:05:11  maciek2w
- get rid of unneeded .la

Revision 1.18  2006/02/05 12:34:04  maciek2w
- updated to 0.6.6 by Robert Tomasik (robert.tomasik at gmail.com)
- removed unneeded includes

Revision 1.17  2005/11/18 16:39:51  adamg
- updated to 0.6.4 (CVE-2005-2851)

Revision 1.16  2005/08/31 19:42:19  adamg
- updated to 0.6.3
- release 1 (works)

Revision 1.15  2005/08/01 10:47:24  adamg
- updated to 0.6.1
- works, but probably not finished yet

Revision 1.14  2005/05/20 17:57:34  darekr
- _kdedocdir needs 1.129 macros

Revision 1.13  2005/03/28 07:31:44  paszczus
- updated to 0.5.2

Revision 1.12  2005/02/14 17:26:18  ankry
- sardzent's sabotage reverted

Revision 1.11  2005/02/14 15:57:51  sardzent
- works

Revision 1.10  2005/02/14 13:40:57  qboosh
- executable

Revision 1.9  2005/02/14 13:37:50  sardzent
- added needed files

Revision 1.8  2005/02/01 22:21:36  paszczus
- updated to 0.5.1

Revision 1.7  2005/01/12 21:14:30  paszczus
- updated to 0.5.0

Revision 1.6  2004/10/15 11:26:50  kolodko
- up to 0.4.1a
- added note
- added R: samba-client

Revision 1.5  2004/02/15 17:42:40  qboosh
- fixed files and encoding in .desktop

Revision 1.4  2004/02/15 00:51:08  undefine
- builds, works... todo: desktop file (where, included is enough for pld?)

Revision 1.3  2004/02/15 00:29:04  undefine
- md5

Revision 1.2  2004/02/15 00:27:11  undefine
- begin adapterization.. release 0.1
